Get Job

get

/jobs/{id}

Returns job information for given job ID, including job status, type, and input and output information.

Request

Path Parameters
Back to Top

Response

200 Response

OK

Job information returned successfully.

500 Response

Internal Server Error.

503 Response

Service Unavailable

Naming exception or server exception.

Back to Top

Examples

The following example shows how to get job information for given job ID.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/jobs/1534" -H "accept: application/json" -u %User%:%Password%

Example of Response Body

{
  "job_ID": 1534,
  "appName": "ASOSamp",
  "dbName": "Basic",
  "jobType": "Import Excel",
  "jobfileName": "ASO_Sample.xlsx",
  "userName": "power1",
  "startTime": 1574811654000,
  "endTime": 1574811688000,
  "statusCode": 200,
  "statusMessage": "Completed",
  "jobInputInfo": {
    "catalogExcelPath": "/gallery/Applications/Demo Samples/Aggregate Storage/",
    "importExcelFileName": "ASO_Sample.xlsx",
    "isLoadData": false,
    "recreateApplication": true,
    "isCreateFiles": true,
    "isExecuteScript": false
  },
  "jobOutputInfo": {
    "errorMessage": ""
  },
  "links": [
    {
      "rel": "self",
      "href": "https://myserver.example.com:9001/essbase/rest/v1/jobs/1534",
      "method": "GET"
    },
    {
      "rel": "post",
      "href": "https://myserver.example.com:9001/essbase/rest/v1/jobs/1534",
      "method": "POST"
    }
  ]
}
Back to Top